Subject: bug#51259: Cannot build Guix from source (error messages about the translations)

From: Julien Lepiller <[email-masked]>
Date: Wed, 20 Oct 2021 07:12:44 -0400

Arg, I don't get why you get that one… I'll see what I can find. In the meantime, you can build the rest of guix locally with "make make-go", which doesn't depend on the manuals, although you won't be able to push with the prepush hook.

Le 20 octobre 2021 06:40:17 GMT-04:00, "Raphaël Mélotte" <[email-masked]> a écrit :
>Hello,
>
>On 10/20/21 4:06 AM, Julien Lepiller wrote:
>
>> 
>> Since it seems this is due to the lack of the LC_ALL variable in the
>> pure environment, how about the attached patch?
>
>With the attached patch on top of master (c650160abb), the build fails with 
>messages similar to this one:
>./doc/guix.de.texi:158: @ref reference to nonexistent node `Translating Guix'
>
>I attached the build logs.
>
>I used the following to build, to make sure to start from a clean tree:
>---
>git clean -ffdx && guix environment guix --pure --ad-hoc help2man git strace -- 
>sh -c './bootstrap && ./configure --localstatedir=/var && make' | tee build.log
>
>---
>
>Kind regards,
>
>Raphaël